lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Uwe Schindler (JIRA)" <j...@apache.org>
Subject [jira] Updated: (LUCENE-2368) stopword files should be versioned; acessor for default(s) should take a Version property
Date Fri, 25 Jun 2010 17:05:50 GMT

     [ https://issues.apache.org/jira/browse/LUCENE-2368?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Uwe Schindler updated LUCENE-2368:
----------------------------------

        Fix Version/s:     (was: 2.3.3)
    Affects Version/s: 3.0.2
                       2.9.3

> stopword files should be versioned; acessor for default(s) should take a Version property
> -----------------------------------------------------------------------------------------
>
>                 Key: LUCENE-2368
>                 URL: https://issues.apache.org/jira/browse/LUCENE-2368
>             Project: Lucene - Java
>          Issue Type: Improvement
>          Components: contrib/analyzers
>    Affects Versions: 2.9.3, 3.0.2
>            Reporter: Hoss Man
>
> The existing language specific stopword files on the trunk have no version info in their
filenames -- this will make it awkward/confusing to update them as time goes on.  LIkewise,
many classes have a "getDefaultStopSet()" which makes these methods (when called by client
code) suffer from the same API back-compat issues that the Analyzers themselves did before
we added Version.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message